#include "SpecialEventInteractableCooldownComponent.h"
#include "Net/UnrealNetwork.h"

void USpecialEventInteractableCooldownComponent::OnRep_IsOnCooldown() const
{

}

void USpecialEventInteractableCooldownComponent::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(USpecialEventInteractableCooldownComponent, _isOnCooldown);
}

USpecialEventInteractableCooldownComponent::USpecialEventInteractableCooldownComponent()
{
	this->_isOnCooldown = false;
}
